
# tools

LINK		= gcc
CC		= gcc
CXX		= gcc

LEX		= flex
YACC		= bison

# flags

RCFLAGS         =
RLFLAGS         = -L/usr/lib
RINCFLAGS       =
RLIBRARIES      = -lstdc++

DCFLAGS         = -g
DLFLAGS         = -L/usr/lib
DINCFLAGS       =
DLIBRARIES      = -lstdc++

# status

ifndef STATUS
STATUS          = Release
endif

ifeq ($(STATUS),Release)
CFLAGS          = $(RCFLAGS)
LFLAGS          = $(RLFLAGS)
INCFLAGS        = $(RINCFLAGS)
LIBRARIES       = $(RLIBRARIES)
endif

ifeq ($(STATUS),Debug)
CFLAGS          = $(DCFLAGS)
LFLAGS          = $(DLFLAGS)
INCFLAGS        = $(DINCFLAGS)
LIBRARIES       = $(DLIBRARIES)
endif

# variables

SOURCES		= FSMCGenerator.cpp FSMCppGenerator.cpp FSMFileGenerator.cpp FSMJavaGenerator.cpp
OBJECTS		= FSMCGenerator.o FSMCppGenerator.o FSMFileGenerator.o FSMJavaGenerator.o
HEADERS		= FSMCGenerator.h FSMCppGenerator.h FSMFileGenerator.h FSMJavaGenerator.h
TARGET		=
OUTPUTS		= 

#rules

all:	$(OBJECTS)

#################

FSMCGenerator.o		: FSMCGenerator.cpp
	$(CC) -c $(CFLAGS) $(INCFLAGS) -o $@ $?

FSMCppGenerator.o	: FSMCppGenerator.cpp
	$(CC) -c $(CFLAGS) $(INCFLAGS) -o $@ $?

FSMFileGenerator.o	: FSMFileGenerator.cpp
	$(CC) -c $(CFLAGS) $(INCFLAGS) -o $@ $?

FSMJavaGenerator.o	: FSMJavaGenerator.cpp
	$(CC) -c $(CFLAGS) $(INCFLAGS) -o $@ $?

###########

clean:
	rm -f core $(OBJECTS) *~

cleanall:
	rm -f $(TARGET) $(OUTPUTS) core $(OBJECTS) *~

test:	

help:
	@echo "To compile, please, run: make all OR make ex4"
